From: Ian Rogers <irogers@google.com>
To: Peter Zijlstra <peterz@infradead.org>,
Ingo Molnar <mingo@redhat.com>,
Arnaldo Carvalho de Melo <acme@kernel.org>,
Namhyung Kim <namhyung@kernel.org>,
Mark Rutland <mark.rutland@arm.com>,
Alexander Shishkin <alexander.shishkin@linux.intel.com>,
Jiri Olsa <jolsa@kernel.org>, Ian Rogers <irogers@google.com>,
Adrian Hunter <adrian.hunter@intel.com>,
Kan Liang <kan.liang@linux.intel.com>,
James Clark <james.clark@linaro.org>,
Xu Yang <xu.yang_2@nxp.com>,
Thomas Falcon <thomas.falcon@intel.com>,
Andi Kleen <ak@linux.intel.com>,
linux-kernel@vger.kernel.org, linux-perf-users@vger.kernel.org,
bpf@vger.kernel.org, Atish Patra <atishp@rivosinc.com>,
Beeman Strong <beeman@rivosinc.com>, Leo Yan <leo.yan@arm.com>,
Vince Weaver <vincent.weaver@maine.edu>
Subject: [PATCH v4 21/21] perf test: Make stat grep more robust
Date: Sun, 14 Sep 2025 11:11:21 -0700 [thread overview]
Message-ID: <20250914181121.1952748-22-irogers@google.com> (raw)
In-Reply-To: <20250914181121.1952748-1-irogers@google.com>
If no cycles event is found by grep don't fail the grep.
Tweak the reg-exp to allow cpu-cycles on ARM.
Signed-off-by: Ian Rogers <irogers@google.com>
---
tools/perf/tests/shell/stat.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tools/perf/tests/shell/stat.sh b/tools/perf/tests/shell/stat.sh
index 8a100a7f2dc1..45041827745d 100755
--- a/tools/perf/tests/shell/stat.sh
+++ b/tools/perf/tests/shell/stat.sh
@@ -196,7 +196,7 @@ test_hybrid() {
fi
# Run default Perf stat
- cycles_events=$(perf stat -- true 2>&1 | grep -E "/cycles/[uH]*| cycles[:uH]* " -c)
+ cycles_events=$(perf stat -- true 2>&1 | grep -E "cycles/[uH]*| cycles[:uH]* " -c || true)
# The expectation is that default output will have a cycles events on each
# hybrid PMU. In situations with no cycles PMU events, like virtualized, this
--
2.51.0.384.g4c02a37b29-goog
prev parent reply other threads:[~2025-09-14 18:12 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-09-14 18:11 [PATCH v4 00/21] Legacy hardware/cache events as json Ian Rogers
2025-09-14 18:11 ` [PATCH v4 01/21] perf parse-events: Fix legacy cache events if event is duplicated in a PMU Ian Rogers
2025-09-14 18:11 ` [PATCH v4 02/21] perf perf_api_probe: Avoid scanning all PMUs, try software PMU first Ian Rogers
2025-09-14 18:11 ` [PATCH v4 03/21] perf record: Skip don't fail for events that don't open Ian Rogers
2025-09-14 18:11 ` [PATCH v4 04/21] perf jevents: Support copying the source json files to OUTPUT Ian Rogers
2025-09-14 18:11 ` [PATCH v4 05/21] perf pmu: Don't eagerly parse event terms Ian Rogers
2025-09-14 18:11 ` [PATCH v4 06/21] perf parse-events: Remove unused FILE input argument to scanner Ian Rogers
2025-09-14 18:11 ` [PATCH v4 07/21] perf pmu: Use fd rather than FILE from new_alias Ian Rogers
2025-09-14 18:11 ` [PATCH v4 08/21] perf pmu: Factor term parsing into a perf_event_attr into a helper Ian Rogers
2025-09-14 18:11 ` [PATCH v4 09/21] perf parse-events: Add terms for legacy hardware and cache config values Ian Rogers
2025-09-14 18:11 ` [PATCH v4 10/21] perf jevents: Add legacy json terms and default_core event table helper Ian Rogers
2025-09-14 18:11 ` [PATCH v4 11/21] perf pmu: Add and use legacy_terms in alias information Ian Rogers
2025-09-14 18:11 ` [PATCH v4 12/21] perf jevents: Add legacy-hardware and legacy-cache json Ian Rogers
2025-09-14 18:11 ` [PATCH v4 13/21] perf print-events: Remove print_hwcache_events Ian Rogers
2025-09-14 18:11 ` [PATCH v4 14/21] perf print-events: Remove print_symbol_events Ian Rogers
2025-09-14 18:11 ` [PATCH v4 15/21] perf parse-events: Remove hard coded legacy hardware and cache parsing Ian Rogers
2025-09-14 18:11 ` [PATCH v4 16/21] perf record: Use evlist__new_default when no events specified Ian Rogers
2025-09-14 18:11 ` [PATCH v4 17/21] perf top: " Ian Rogers
2025-09-14 18:11 ` [PATCH v4 18/21] perf evlist: Avoid scanning all PMUs for evlist__new_default Ian Rogers
2025-09-14 18:11 ` [PATCH v4 19/21] perf evsel: Improvements to __evsel__match Ian Rogers
2025-09-14 18:11 ` [PATCH v4 20/21] perf parse-events: Add HW_CYCLES_STR as default cycles event string Ian Rogers
2025-09-16 13:18 ` Mark Rutland
2025-09-16 15:49 ` Ian Rogers
2025-09-16 17:56 ` Ian Rogers
2025-09-17 6:23 ` Namhyung Kim
2025-09-20 15:16 ` Ian Rogers
2025-09-14 18:11 ` Ian Rogers [this message]
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20250914181121.1952748-22-irogers@google.com \
--to=irogers@google.com \
--cc=acme@kernel.org \
--cc=adrian.hunter@intel.com \
--cc=ak@linux.intel.com \
--cc=alexander.shishkin@linux.intel.com \
--cc=atishp@rivosinc.com \
--cc=beeman@rivosinc.com \
--cc=bpf@vger.kernel.org \
--cc=james.clark@linaro.org \
--cc=jolsa@kernel.org \
--cc=kan.liang@linux.intel.com \
--cc=leo.yan@arm.com \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-perf-users@vger.kernel.org \
--cc=mark.rutland@arm.com \
--cc=mingo@redhat.com \
--cc=namhyung@kernel.org \
--cc=peterz@infradead.org \
--cc=thomas.falcon@intel.com \
--cc=vincent.weaver@maine.edu \
--cc=xu.yang_2@nxp.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®